/*;***********************************************************************/
/* 					<Rg[`\[X>*/
/**/
/* <ctl_ZLNX.s>*/
/*	ZLNX(zlboot)g[`\[X*/
/*;***********************************************************************/

	.file		"ctl_ZLNX.s"

	.include	"adlcmn.seq"
	.include	"ZLNX_res.seq"
	.include	"string.seq"
	.include	"c_grad.seq"
	.include	"c_mvfrm.seq"
	.include	"c_mddlog.seq"

	.section	.text	/* 	.section	"mblock",.text>ZLNX_MBLOCK_TOP */
/**/
/*	ubNwb_*/
/**/
 .if ROM_APPLICATION
block_top:
	.byte	BLOCK_HEADER_MARK
	.ascii	"ZLNXST00JPN"			/* \[Xt@C(11bytes)*/
	.byte	0b00000001			/* block atr*/
	.uaword	0				/* block time*/
	.uaword 0				/* block date*/
	.ualong	block_end-block_top		/* block size*/
	.uaword	0				/* block id*/
	.ualong	block_end-block_top		/* free ptr top*/
	.ualong	block_end-block_top		/* free ptr bottom*/
	.ualong	0
	.ualong	0
 .endif
/**/
/*	t@Cwb_*/
/**/
file_top:
	.byte	0x0ff
	.byte	0
	.byte	FILE_ID_MSG			/*file id*/
	.byte	RES_FVER_CRIMSON		/*file version*/
/**/
/*	IDe[uwb_*/
/**/
res_tbl_top1:
	.uaword	id_top-file_top	/* message tbl ptr*/

/*id_no*/
	.uaword	40000			/* 擪 id no*/
	.uaword	40000+id_max_no-1	/* I id no*/
/**/
/*	IDe[u*/
/**/
id_top:
	.ualong	ZLNXDelFList-file_top
	.ualong	ZLNXPIMInfo-file_top
	.ualong	ZLNXPIMExec-file_top
	.ualong ZLNXFormTable-file_top
	.ualong ZLNXAdlRes-file_top
/*\[XŒǉƂ͂ɓĂB*/
/*#FileInfoLabelTblStart*/
	.ualong	ZLNXPIMFInfo1-file_top
/*#FileInfoLabelTblEnd*/
	.ualong	_KEYPAD10-file_top
id_end:

	.equ	id_max_no,7
/**/
/*	f[^{*/
/**/
/*폜t@CXg*/
ZLNXDelFList:
	.uaword	ZLNXPIMInfo-ZLNXDelFList-2
/**/
/*#DelFileListStart*/
	.ascii	"ZLNX.APL,P"
	.byte	0x0d
	.ascii	"ZLNX.BIN,P"
	.byte	0x0d
	.ascii	"ZLNXST00.JPN,P"
	.byte	0x0d
	.ascii	"ZLNXFM00.JPN,P"
	.byte	0x0d
	.ascii	"ZLNXIC00.JPN,P"
	.byte	0x0d
	.ascii	"ZLNXIM00.JPN,P"
	.byte	0x0d
	.ascii	"ZLNXMN00.JPN,P"
	.byte	0x0d
	.ascii	"ZLNXDM00.JPN,P"
	.byte	0x0d
	.ascii	"ZLNXADL0.ZAD,P"
	.byte	0x0d
	.ascii	"ZLNXIMG.DAT,P"
	.byte	0x0d
	.ascii	"ZLNXKNL.BIN,P"
	.byte	0
/*#DelFileListEnd*/

/*PIMINFO - OUTԂŎgpAvP[V*/
ZLNXPIMInfo:
	.uaword	ZLNXPIMExec-ZLNXPIMInfo-2	/* data length*/
/**/
	.space	4				/*AplName*/
	.uaword	ZLNXPIMExecID			/*PIMExecRes.ResID*/
	.uaword	0x3030  /* "00" */				/*PIMExecRes.ResFNo*/
	.uaword	ZLNXPIMFInfo1ID			/*PIMFInfoRes.ResID*/
	.uaword	0x3030  /* "00" */				/*PIMFInfoRes.ResFNo*/
/*#MaxHeapNum*/
	.uaword	0			/*MaxHeapNum*/
/*#BoxNum*/
	.uaword	0			/*BoxNum*/
	.ualong	0				/*PIMFInfo*/
	.ualong	0				/*PIMAplWork*/
/*#PIMAplConst*/
	_c_proc	_PIMAplConstruct			/*PIMAplConstruct*/
/*#PIMAplEnd*/
	_c_proc	_PIMAplEnd			/*PIMAplEnd*/
/*#PIMAplSetup*/
	_c_proc	_PIMAplSetup			/*PIMAplSetup*/
/*#PIMAplOutMsg*/
	_c_proc	_PIMAplOutMsg			/*PIMAplOutMsg*/
	.ualong	0				/*SysEnv*/
/*#PIMFInfoSetup*/
	_noproc					/*PIMFInfo*/

/*PIMEXECWORK - EXECԂł̃AvP[V*/
ZLNXPIMExec:
	.uaword	ZLNXFormTable-ZLNXPIMExec-2
/**/
	.space	4				/*AplName*/
	.byte	0				/*WnHandle*/
	.space	1

	/*@2 ŏɕ\ʔԍύXꍇ͂܂B*/
/*#FirstScreenIDMark*/
	.uaword	topformScnID			/*@2 DefScreenID*/

	.ualong	0				/*IsActive*/
	.uaword	ZLNXFormTableID			/*PIMFormTRes.ResID*/
	.uaword	0x3030  /* "00" */				/*PIMFormTRes.ResFNo*/

	/*@2 AvP[ṼCEBhẼ\[Xւꍇ*/
	/*   ܂BXy[X̏ꍇ̓ftHggp܂B*/
/*#MainScreenResFName*/
	.asciz	"        "			/*@2 PIMWindowRes.ResFile*/
	.space	1
/*#MainScreenResID*/
	.uaword	0			/*@2 DefScreenID*/

	.ualong	0				/*SysEnv*/
	.ualong	0				/*PIMInfo*/
	.ualong	0				/*PIMExecWork*/
/*#PIMExecConst*/
	_c_proc	_PIMExecConstruct			/*PIMExecConst*/
/*#PIMExecEnd*/
	_c_proc	_PIMExecEnd			/*PIMExecEnd*/
/*#PIMExecSetup*/
	_c_proc	_PIMExecSetup			/*PIMExecSetup*/

/*tH[e[u*/
ZLNXFormTable:
	.uaword	ZLNXAdlRes-ZLNXFormTable-2
/**/
/*#FormTblStart*/
	.uaword	topformScnID		/*ScreenNo*/
	.uaword	topformID		/*FormResID*/
	_noproc				/*Func*/
/*#FormTblEnd*/

	.uaword	0				/*IR[h*/

ZLNXAdlRes:
/*#AdlResLabel*/
	.uaword	ZLNXPIMFInfo1-ZLNXAdlRes-2
/*#ADLStackSize*/
	.ualong	1024			/*adl stack size*/

/*#BoxFileInfoStart*/
/*t@C񏉊\[X*/
ZLNXPIMFInfo1:
	.uaword	_KEYPAD10-ZLNXPIMFInfo1-2
/**/
	.ualong	0			/*FInfo*/
/**/
	.uaword	0		/*FInfoResID*/
	.uaword	0		/*ItemResID*/
	.uaword	0		/*IdxInfoResID*/
/**/
/*#BoxFileInfoEnd*/
/**/

_KEYPAD10:
/*""*/
	.uaword	data_end-_KEYPAD10-2
/**/
	.include	"_KEYPAD10.res"	
data_end:

/**/
/*	Gh*/
/**/

	.align	4

block_end:

	.end

