/***********************************************************************
<AvP[VCxg֐>

 <ZLNX_evc.c> 
***********************************************************************/
		
/*======================================================================
    include
======================================================================*/
#include <zheaders.h>
#include <pimmgr.h>
#include <ZLNX_res.h>

#include "ZLNX_C_usr.h"

#include <inputpad.h>  

#include "topform.h" 

/*-- SZAB Part  KEYPAD10 -------------------------------*/
/*-- SZAB Event KEYPAD10 0 --*/
void KEYPAD10ResultExist(APLFORMPTR AplForm, MESSAGE* Message, const MESSAGE* PadMsg)
{
  PTR string;

  GetCtrlProperty(KEYPAD10,PAD_MOJI_PID, pValue, string, AplForm->Control,PTR);
  /* TmpAlert(string); /**/
  zxlinux_sendstring(string);
}
/*-- SZAB Event End --*/

/*-- SZAB Part  topform -------------------------------*/
/*-- SZAB Event topform 100 --*/
void topformFormConstruct(APLFORMPTR AplForm, MESSAGE* Message)
{
//==  TmpAlert("topformFormConstruct");
}
/*-- SZAB Event End --*/

/*-- SZAB Part  topform -------------------------------*/
/*-- SZAB Event topform 102 --*/
void topformFormSetUp(APLFORMPTR AplForm, MESSAGE* Message)
{
  padOpen = false;
  padOpenFirst = true;

  //TmpAlert("Starting ZxLinux...");  /* */

#ifdef PAD_OPEN_FIRST
{
	MESSAGE LocalMsg;

	padOpen = true;
	LocalMsg.CommonMsg.MessageID = ToolOpenID ;
	ControlCall(KEYPAD10, AplForm->Control,&LocalMsg);

	padOpenFirst = false;
	LocalMsg.CommonMsg.MessageID = BoardChangeID;
	LocalMsg.BoardChange.BoardNo = QWERTY_PAD_ID;
	ControlCall(KEYPAD10, AplForm->Control, &LocalMsg);
	LocalMsg.CommonMsg.MessageID = PadModeChangeID;
	LocalMsg.PadModeChange.PadMode = HANKAKU_STATE | EI_STATE | CAPS_STATE;
	ControlCall(KEYPAD10, AplForm->Control, &LocalMsg);
}
#endif PAD_OPEN_FIRST

#if 1
  zlkey_start();
  zlpen_start();
#endif
#if 1
  //zxps_start();
  zxlinux_start();
#endif
 needendproc = true;
}
/*-- SZAB Event End --*/

/*-- SZAB Part  topform -------------------------------*/
/*-- SZAB Event topform 103 --*/
void topformFormEnd(APLFORMPTR AplForm, MESSAGE* Message)
{
  MESSAGE  LocalMsg;
  int i;			//+KKKK

zxlinux_msg(__FUNCTION__":0\n");

	if (needendproc){
	  zlkey_end();
	  zlpen_end();
	  zxlinux_end();
	  needendproc = false;
	}

zxlinux_msg(__FUNCTION__":1\n");
  if (padOpen == true){
	EntryRedispFunc(AplForm->FormWnHandle,0,NULL,NULL);
	LocalMsg.CommonMsg.MessageID = ToolCloseID ;
	ControlCall(KEYPAD10, AplForm->Control,&LocalMsg);
  }
zxlinux_msg(__FUNCTION__":2\n");
}
/*-- SZAB Event End --*/

/*-- SZAB Part  topform -------------------------------*/
/*-- SZAB Event topform 109 --*/
void topformFormKeyExec(APLFORMPTR AplForm, MESSAGE* Message, const MESSAGE* KeyMsg)
{
  MESSAGE  LocalMsg;
#if 0
{ char buf[256]; sprintf(buf,__FUNCTION__":KeyCode=%x(%d)\n",KeyMsg->KeyDown.KeyCode,KeyMsg->KeyDown.KeyCode); zxlinux_msg(buf); }
#endif

  switch(KeyMsg->KeyDown.KeyCode) {
  case KC_PREV:           /* tL[  pbhI[v */
	if (padOpen == false){
	  LocalMsg.CommonMsg.MessageID = ToolOpenID ;
	  ControlCall(KEYPAD10, AplForm->Control,&LocalMsg);
	  padOpen = true;

#ifndef PAD_OPEN_FIRST
	  if (padOpenFirst) {
		padOpenFirst = false;
		LocalMsg.CommonMsg.MessageID = BoardChangeID;
		LocalMsg.BoardChange.BoardNo = QWERTY_PAD_ID;
		ControlCall(KEYPAD10, AplForm->Control, &LocalMsg);
		LocalMsg.CommonMsg.MessageID = PadModeChangeID;
		LocalMsg.PadModeChange.PadMode = HANKAKU_STATE | EI_STATE | CAPS_STATE;
		ControlCall(KEYPAD10, AplForm->Control, &LocalMsg);
	  }
#endif PAD_OPEN_FIRST
	  zl_keypad_open();
	}
	zlkey_end(); zlkey_start(); 	/* L[{[hڑ */
	break;
  case KC_NEXT:           /* L[   pbhN[Y */
	if (padOpen == true){
	  LocalMsg.CommonMsg.MessageID = ToolCloseID ;
	  ControlCall(KEYPAD10, AplForm->Control,&LocalMsg);
	  padOpen = false;
	  zl_keypad_close();
	}
	zlkey_end(); zlkey_start(); 	/* L[{[hڑ */
	break;
#if 0
  case KC_CURSOR_UP:
	zxlinux_sendcmd(1);
	break;
  case KC_CURSOR_DOWN:
	zxlinux_sendcmd(3);
	break;
  case KC_CURSOR_RIGHT:
	zxlinux_sendcmd(4);
	break;
  case KC_CURSOR_LEFT:
	zxlinux_sendcmd(2);
	break;
  case KC_DECIDE:
	zxlinux_sendcmd(5);
	break;
#endif
  case KC_BACK:        /* ߂L[ */	
	if (needendproc){
	  zlkey_end();
	  zlpen_end();
	  zxlinux_end();
	  needendproc = false;
	}
	ExecApl(Message, 'SCDL');
	break;
  default:
	{ char buf[32]; sprintf(buf,"button 0x%04x\n",KeyMsg->KeyDown.KeyCode); zxlinux_msg(buf); }
	break;
  }
}
/*-- SZAB Event End --*/

/*-- SZAB Part  topform -------------------------------*/
/*-- SZAB Event topform 111 --*/
void topformFormOtherEvent(APLFORMPTR AplForm, MESSAGE* Message)
{
#if 1
if(Message->CommonMsg.MessageID < 440 || Message->CommonMsg.MessageID > 459)
{ char buf[256]; sprintf(buf,__FUNCTION__":MessageID=%x(%d)\n",Message->CommonMsg.MessageID,Message->CommonMsg.MessageID); zxlinux_msg(buf); }
#endif
  switch(Message->CommonMsg.MessageID){
#if 0
  case 6:
	MoreEnd(Message);  /* moreI */
	break;
#endif
  case OnBreakID:
	zxlinux_sendcmd(3);
  case KeyDownID:
zxlinux_msg("KeyDownID\n");
        break;

  case PenDownID:
zxlinux_msg("PenDownID\n");
	zxlinux_pen(1, Message->PenDown.OccuredTime,
                Message->PenDown.PositionX,
                Message->PenDown.PositionY);
	break;
  case PenStillDownID:
zxlinux_msg("PenStillDownID\n");
	zxlinux_pen(2, Message->PenStillDown.OccuredTime,
                Message->PenStillDown.PositionX,
                Message->PenStillDown.PositionY);
	break;
  case PenUpID:
zxlinux_msg("PenUpID\n");
	zxlinux_pen(3, Message->PenUp.OccuredTime,
                Message->PenUp.PositionX,
                Message->PenUp.PositionY);
	break;

  case KeyDrvDownID:
zxlinux_msg("KeyDrvDownID\n");
	zxlinux_key(Message);
	break;
	
  case AppliActivateID: /* z[ʈڍsɃAvI */
	if( Message->AppliActivate.IsActivate != true ){ 
	  //TmpAlert("Halting ZxLinux...");  /* */
	  if (needendproc){
		zlkey_end();
		zlpen_end();
		zxlinux_end();
		needendproc = false;
		  }
	  MoreEnd(Message);
	}
	break;
  default:
	break;
  }
}
/*-- SZAB Event End --*/
